Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062998 - autofs uneccessary requires kernel
Summary: autofs uneccessary requires kernel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-09 14:10 UTC by Tomasz Torcz
Modified: 2015-01-09 23:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-09 23:00:16 UTC


Attachments (Terms of Use)

Description Tomasz Torcz 2014-02-09 14:10:45 UTC
Description of problem:

% yum erase kernel
…
--> Processing Dependency: kernel >= 2.6.17 for package: 1:autofs-5.0.7-28.fc19.x86_64
…

  Dependency on kernel can be dropped:
1) 2.6.17 was a loooong time ago, currently it is nowhere to be found in any supported Fedora version
2) there are valid installation scenarios without kernel - LXC containers do not need separate kernel

Version-Release number of selected component (if applicable):
autofs-5.0.7-28.fc19.x86_64

The same problem is present in F20 an rawhide versions.

Comment 1 Fedora End Of Life 2015-01-09 22:24:04 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Tomasz Torcz 2015-01-09 23:00:16 UTC
Seem to have been fixed in:

* Wed Oct 15 2014 Ian Kent  - 1:5.1.0-7


Note You need to log in before you can comment on or make changes to this bug.